Bug 113931 - RFE: system-control-network: keep last used device "active"
RFE: system-control-network: keep last used device "active"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2004-01-20 05:19 EST by Moritz Barsnick
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.26-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 09:07:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2004-01-20 05:19:18 EST
Description of problem:
When any user activates a device (using the "Activate" button) using 
system-control-network, the device comes up correctly. Yet after this 
process, the cursor in this GUI jumps back to the first device, which 
may be different from the one recently activated.

Version-Release number of selected component (if applicable):
any (also redhat-config-network)

How reproducible:
always

Steps to Reproduce:
1. configure multiple devices: eth0, ppp0 (...)
2. allow non root users to active ppp0
3. as non root user, activate ppp0, and wait for active connection
4. get ready to deactivate
  
Actual results:
The GUI cursor jumps back to eth0 which is first in the list (at 
least in my config). If you have more than two connections available 
in the list, the user needs to search for the activated one and 
select it, instead of just pressing "Deactivate". This is confusing 
as soon as the machine has more than two possible connections (like 
mine: eth0, eth1, ppp0, ppp1).

Expected results:
The GUI cursor remains at the most recently selected device, so the 
user just needs to press "Deactivate".

Additional info:
The most recently actived device is usually the one the user wants to 
deactivate next. If not, she/he can still select the correct one to 
use next.
Comment 1 Moritz Barsnick 2004-01-23 11:55:58 EST
Of course I don't necessarily expect the cursor to be at the most 
recent device if system-control-network is closed and then re-opened. 
I just meant: when the user leaves the program open during her/his 
network session.

Note You need to log in before you can comment on or make changes to this bug.